<?php
/*
 * Copyright (c) 2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: alumni.php3,v 1.9 2001/05/18 03:28:18 wakefield Exp $
 */

/* define our own in_array function because it's not in PHP 3 */
function my_in_array($needle, $haystack) {
  $found = 0;
  for($i=0,$n=count($haystack); $i<$n; $i++) {
    if($needle == $haystack[$i])
      $found = 1;
  }
  return $found;
}

/* page header */
function page_header($id, $title = 'Alumni Database', $bg = 'bg-chalk.jpg') {
  global $areaname;

  echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
  echo '<!DOCTYPE html PUBLIC "-//W3C/DTD XHTML 1.0 Transitional//EN" ';
  echo '"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'."\n";
  echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">'."\n";
  echo '<!-- '.$id.' -->'."\n";
  echo '<!-- $Id: alumni.php3,v 1.9 2001/05/18 03:28:18 wakefield Exp $ -->'."\n";
  echo '<head><title>'.$areaname.' '.$title.'</title></head>'."\n";
  echo '<body background="'.$bg.'">'."\n";
  echo '<center><font size="+2"><b><u>'.$areaname.' '.$title.'</u></b></font></center><br />'."\n";
}

/* page footer */
function page_footer($backname, $backlink = './') {
  echo '<br /><a href="'.$backlink.'">Back to <b>'.$backname.'</b></a>'."\n";
  echo '</body></html>'."\n";
}

/* checkbox input */
function checkbox_input($name, $checked = 0) {
  echo '<input type="checkbox" name="'.$name.'"';
  if($checked != 0)
    echo ' checked';
  echo ' />';
}

/* radio button input */
function radio_input($name, $value, $checked = 0) {
  echo '<input type="radio" name="'.$name.'" value="'.htmlspecialchars($value).'"';
  if($checked != 0)
    echo ' checked';
  echo ' />';
}

/* text input */
function text_input($name, $size, $maxlen, $value = '') {
  echo '<input type="text" name="'.$name.'"';
  if(!empty($size) && $size != 0)
    echo ' size="'.$size.'"';
  if(!empty($maxlen) && $maxlen != 0)
    echo ' maxlength="'.$maxlen.'"';
  if(!empty($value))
    echo ' value="'.htmlspecialchars($value).'"';
  echo ' />';
}

/* hidden input */
function hidden_input($name, $value) {
  echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($value).'" />';
}

/* school selection list */
function school_select($db, $selectname, $selected = -1, $approvedonly = 1) {
  global $userschools;

  echo '<select name="'.$selectname.'">'."\n";

  if($userschools == 1) {
    $qs = 'SELECT * FROM Schools';
    if($approvedonly)
      $qs = $qs.' WHERE Approved=1';
    $qs = $qs.' ORDER BY LongName';
    $result = mysql_query($qs, $db);
  } else
    $result = mysql_query('SELECT * FROM Schools ORDER BY SchoolID', $db);

  while($myrow = mysql_fetch_array($result)) {
    echo '<option value="'.$myrow['SchoolID'].'"';
    if($selected==$myrow['SchoolID'])
      echo ' selected';
    echo '>';
    if($userschools==1) {
      echo htmlspecialchars($myrow['LongName']);
      if(!$approvedonly)
        echo ' ('.($myrow['Approved']?'':'Not ').'App)';
    } else
      echo $myrow['ShortName'];
    echo '</option>'."\n";
  }

  echo '</select>';
}

/* multiple school selection list */
function school_select_multiple($db, $selectname, $height, $selected = '',
$approvedonly = 1) {
  global $userschools;

  echo '<select name="'.$selectname.'" multiple height="'.$height.'">'."\n";

  if($userschools == 1) {
    $qs = 'SELECT * FROM Schools';
    if($approvedonly)
      $qs = $qs.' WHERE Approved=1';
    $qs = $qs.' ORDER BY LongName';
    $result = mysql_query($qs, $db);
  } else
    $result = mysql_query('SELECT * FROM Schools ORDER BY SchoolID', $db);

  while($myrow = mysql_fetch_array($result)) {
    echo '<option value="'.$myrow['SchoolID'].'"';
    if(!empty($selected) && my_in_array($myrow['SchoolID'], $selected))
      echo ' selected';
    echo '>';
    if($userschools==1) {
      echo htmlspecialchars($myrow['LongName']);
      if(!$approvedonly)
        echo ' ('.($myrow['Approved']?'':'Not ').'App)';
    } else
      echo $myrow['ShortName'];
    echo '</option>'."\n";
  }

  echo '</select>';
}

/* occupation types selection list */
function occtype_select($db, $occtypename, $selected = -1) {
  echo '<select name="'.$occtypename.'">'."\n";

  $result = mysql_query('SELECT * FROM Occupations ORDER BY OccupationID', $db);
  while($myrow = mysql_fetch_array($result)) {
    echo '<option value="'.$myrow['OccupationID'].'"';
    if($selected==$myrow['OccupationID'])
      echo ' selected';
    echo '>'.$myrow['ShortName'];
    echo '</option>'."\n";
  }

  echo '</select>';
}

/* multiple occupation types selection list */
function occtype_select_multiple($db, $occtypename, $height, $selected = '') {
  echo '<select name="'.$occtypename.'" multiple height="'.$height.'">'."\n";

  $result = mysql_query('SELECT * FROM Occupations ORDER BY OccupationID', $db);
  while($myrow = mysql_fetch_array($result)) {
    echo '<option value="'.$myrow['OccupationID'].'"';
    if(!empty($selected) && my_in_array($myrow['OccupationID'], $selected))
      echo ' selected';
    echo '>'.$myrow['ShortName'];
    echo '</option>'."\n";
  }

  echo '</select>';
}

/* approval status selection list */
function approve_select($name, $selected = -1) {
  echo '<select name="'.$name.'">'."\n";

  echo '<option value="0"';
  if($selected==0)
    echo ' selected';
  echo '>Pending</option>'."\n";

  echo '<option value="1"';
  if($selected==1)
    echo ' selected';
  echo '>Approved</option>'."\n";

  echo '<option value="2"';
  if($selected==2)
    echo ' selected';
  echo '>Rejected</option>'."\n";

  echo '<option value="3"';
  if($selected==3)
    echo ' selected';
  echo '>Deleted</option>'."\n";

  echo '</select>'."\n";
}

/* approval status display */
function approve_print($value) {
  switch($value) {
    case 0: echo 'Pending'; break;
    case 1: echo 'Approved'; break;
    case 2: echo 'Rejected'; break;
    case 3: echo 'Deleted'; break;
  }
}

/* limit results list */
function limitresults($name, $selected = -1) {
  echo '<select name="'.$name.'">'."\n";

  echo '<option value="10"';
  if($selected==10)
    echo ' selected';
  echo '>10</option>'."\n";

  echo '<option value="25"';
  if($selected==25)
    echo ' selected';
  echo '>25</option>'."\n";

  echo '<option value="50"';
  if($selected==50)
    echo ' selected';
  echo '>50</option>'."\n";

  echo '</select>';
}

?>
