<?php
/*
 * Copyright (c) 2000-2001
 *   Peter Johnson <wakefield@users.sourceforge.net>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL Peter Johnson OR
 * OTHER CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 * TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: contactslist.php3,v 1.4 2001/05/18 03:28:18 wakefield Exp $
 */

require('config.php3');
require('alumni.php3');

page_header('$Id: contactslist.php3,v 1.4 2001/05/18 03:28:18 wakefield Exp $', 'Reunion Contacts Information');

$db = mysql_connect($dbhost, $dblogin, $dbpass);
mysql_select_db($dbname, $db);

if(intval($year) != 0) {
    $whereclause = ' WHERE Year='.intval($year);
} else {
    $whereclause = '';
}

$query_string = "SELECT DATE_FORMAT(MAX(LastUpdated),'%b %e, %Y') AS LastUpdatedDate FROM ClassContacts".$whereclause;
$result = mysql_query($query_string,$db);
$myrow = mysql_fetch_array($result);

?>
<center>
<h1>
<i><font size="+0">updated <b>as of <?php echo $myrow["LastUpdatedDate"] ?></b></font></i></h1></center>
<p>The following information has been supplied by reunion organizers to assist
fellow classmates with communication and information. If no information
appears in your class table this means no information has been made available
to the webmaster. To supply new information or make corrections
please contact our <a href="<?php echo $webmaster ?>">webmaster</a>.</p>

<p>You may also enter yourself or search for a friend in the <a href="./">Alumni
Database</a>. This database is available online to aid in your efforts
to keep in touch with or locate former classmates. Information is
supplied by the individuals themselves or reunion organizers. It
allows each entry to be tailored for what information is posted on the
"public" pages on the web. <i>All the data will be available to authorized
reunion organizers for communication purposes only, unless the individual
specifically requests privacy</i>.</p>
<?php

$query_string = 'SELECT Name, Phone_Type_1, Phone_1, Phone_Type_2, Phone_2, Phone_Type_3, Phone_3, Address_1, Address_2, Address_3, EMail, URL, ReunionInfo, Abbreviation, Year FROM ClassContacts LEFT JOIN Schools ON SchoolID = School'.$whereclause.' ORDER BY Year, School, Name';

$result = mysql_query($query_string, $db);

if ($myrow = mysql_fetch_array($result)) {
  do {
?>
<br /><a name="<?php echo $myrow['Year'] ?>"></a>
<br />&nbsp;
<table border="3" cols="4" width="100%"><tr>
<td><b>Class of <?php echo $myrow['Year'] ?></b></td>
<td><b>School: <?php echo htmlspecialchars($myrow['Abbreviation']) ?></b></td>
<td><b>Contact:</b> <?php echo htmlspecialchars($myrow['Name']) ?></td>
<td><?php
    for($i=1;$i<=3;$i++) {
      if(strlen(trim($myrow["Phone_Type_$i"])) != 0)
        echo '<b>' . htmlspecialchars($myrow["Phone_Type_$i"]) . ':</b> ';
      if(strlen(trim($myrow["Phone_$i"])) != 0)
        echo htmlspecialchars($myrow["Phone_$i"]) . "<br />\n";
    }
?></td>
</tr><tr>
<td><b>E-mail:</b> <a href="mailto:<?php echo htmlspecialchars($myrow['EMail']) ?>"><?php echo htmlspecialchars($myrow['EMail']) ?></a></td>
<td><b>Links:</b><a href="<?php echo htmlspecialchars($myrow['URL']) ?>"><?php echo htmlspecialchars($myrow['URL']) ?></a></td>
<td colspan="2"><b>P.O. Address:</b><br /><?php
    for($i=1;$i<=3;$i++) {
      if(strlen(trim($myrow["Address_$i"])) != 0)
        echo htmlspecialchars($myrow["Address_$i"]) . "<br />\n";
    }
?></td>
</tr><tr>
<td colspan="4"><b>Reunion:</b> <?php echo htmlspecialchars($myrow['ReunionInfo']) ?></td>
</tr></table>
<?php
  } while ($myrow = mysql_fetch_array($result));
} else
  echo '<br /><br /><b>No class contacts found for that year!</b><br />'."\n";

page_footer('Main Alumni Database Page');
?>
